Subject: bug#23529: Request for fixing randomize_va_space build issues

From: Paul Eggert <[email-masked]>
Date: Fri, 9 Sep 2016 00:10:22 -0700

Eli Zaretskii wrote:

> I guess you mean the 'previous' and 'next' pointers?

I mean all the pointers in the data. There are more than just 'previous' and 
'next'. Most Lisp objects are tagged pointers, and data contains them.

> Emacs doesn't assume LSB representation when built with wide
> ints.

True, I should have said that the representation is always a pointer plus a 
constant offset, which is true even with wide ints. (It didn't used to be true, 
but those days are long gone.)

> your proposed method is required to "serialize" the dumped data as C
> code.

Sure, but that's true of any dumping method. The advantage of dumping to C code 
is that the compiler and linker will deserialize it for you.